summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVadim Kochan <vadim4j@gmail.com>2019-03-01 14:33:42 +0200
committerPeter Korsgaard <peter@korsgaard.com>2019-03-27 10:42:52 +0100
commit6cfd314ed39e03e10d10b939ea54ecca3ddf9ce6 (patch)
tree3a50d19bb35a6355dd716c0246b651a14e3dbb64
parent18ae511d81846b9f28b34940e5f36d3ca95648f0 (diff)
downloadbuildroot-6cfd314ed39e03e10d10b939ea54ecca3ddf9ce6.tar.gz
buildroot-6cfd314ed39e03e10d10b939ea54ecca3ddf9ce6.zip
utils/test-pkg: generate package config if it is not specified
It is possible to generate one-line config for the package just by normalize it to the form: BR2_PACKAGE_${pkg_replaced-to_and_uppercase} it simplifes a bit of testing package where no additional config options are needed. Signed-off-by: Vadim Kochan <vadim4j@gmail.com> Reviewed-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com> (cherry picked from commit a946813dd581ac2e1aea6745edad2bc7ce44e6aa) Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
-rwxr-xr-xutils/test-pkg17
1 files changed, 16 insertions, 1 deletions
diff --git a/utils/test-pkg b/utils/test-pkg
index 1995fa8578..cce4679b04 100755
--- a/utils/test-pkg
+++ b/utils/test-pkg
@@ -2,12 +2,20 @@
set -e
TOOLCHAINS_CSV='support/config-fragments/autobuild/toolchain-configs.csv'
+TEMP_CONF=""
+
+do_clean() {
+ if [ ! -z "${TEMP_CONF}" ]; then
+ rm -f "${TEMP_CONF}"
+ fi
+}
main() {
local o O opts
local cfg dir pkg random toolchains_dir toolchain all number mode
local ret nb nb_skip nb_fail nb_legal nb_tc build_dir
local -a toolchains
+ local pkg_br_name
o='hac:d:n:p:r:t:'
O='help,config-snippet:build-dir:package:,random:,toolchains-dir:'
@@ -50,8 +58,15 @@ main() {
;;
esac
done
+
+ trap do_clean INT TERM HUP EXIT
+
if [ -z "${cfg}" ]; then
- printf "error: no config snippet specified\n" >&2; exit 1
+ pkg_br_name="${pkg//-/_}"
+ pkg_br_name="BR2_PACKAGE_${pkg_br_name^^}"
+ TEMP_CONF=$(mktemp /tmp/test-${pkg}-config.XXXXXX)
+ echo "${pkg_br_name}=y" > ${TEMP_CONF}
+ cfg="${TEMP_CONF}"
fi
if [ ! -e "${cfg}" ]; then
printf "error: %s: no such file\n" "${cfg}" >&2; exit 1
OpenPOWER on IntegriCloud